---@meta

---@class UBTT_AttackTarget_C : UBTTask_BlueprintBase
---@field UberGraphFrame FPointerToUberGraphFrame
---@field ['Target Actor'] FBlackboardKeySelector
local UBTT_AttackTarget_C = {}

---@param NotifyName FName
function UBTT_AttackTarget_C:OnNotifyEnd_9CB368C4494CA8964D88F0A38E4FCFE0(NotifyName) end
---@param NotifyName FName
function UBTT_AttackTarget_C:OnNotifyBegin_9CB368C4494CA8964D88F0A38E4FCFE0(NotifyName) end
---@param NotifyName FName
function UBTT_AttackTarget_C:OnInterrupted_9CB368C4494CA8964D88F0A38E4FCFE0(NotifyName) end
---@param NotifyName FName
function UBTT_AttackTarget_C:OnBlendOut_9CB368C4494CA8964D88F0A38E4FCFE0(NotifyName) end
---@param NotifyName FName
function UBTT_AttackTarget_C:OnCompleted_9CB368C4494CA8964D88F0A38E4FCFE0(NotifyName) end
---@param OwnerController AAIController
---@param ControlledPawn APawn
function UBTT_AttackTarget_C:ReceiveExecuteAI(OwnerController, ControlledPawn) end
---@param EntryPoint int32
function UBTT_AttackTarget_C:ExecuteUbergraph_BTT_AttackTarget(EntryPoint) end


